"""add non null constraint to passenger_id

Revision ID: b48917f55d7b
Revises: 43fa790ae4a2
Create Date: 2018-09-11 16:40:58.820956

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = 'b48917f55d7b'
down_revision = '43fa790ae4a2'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.alter_column('ride', 'passenger_id',
               existing_type=sa.BIGINT(),
               nullable=False)
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.alter_column('ride', 'passenger_id',
               existing_type=sa.BIGINT(),
               nullable=True)
    # ### end Alembic commands ###
